//+------------------------------------------------------------------+
//|                                                Tick_on_Chart.mq4 |
//|                      Copyright  2005, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2005, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window

extern int  FontSize       = 40;
extern bool ChangeColors   = True;
extern color FontColor     = White;

extern bool MakeBeep       = true;
extern string OneUpTickBeep   = "1up.wav";
extern string TwoUpTickBeep   = "2up.wav";
extern string ThreeUpTickBeep   = "3up.wav";

extern string OneDownTickBeep = "1down.wav";
extern string TwoDownTickBeep = "2down.wav";
extern string ThreeDownTickBeep = "3down.wav";

double OldPrice = 0;


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- 
   
//----
   return(0);
  }

//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 
   ObjectDelete("time");
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
  
   string PriceStr = DoubleToStr(Bid, Digits);
  	
  	if (ChangeColors == True)
   {
      if (Bid > OldPrice) FontColor=LawnGreen;
      if (Bid < OldPrice) FontColor=Red;
   }
   
   if (MakeBeep == True)
   {
      //if (Bid == (OldPrice + (1*Point)) ) PlaySound(OneUpTickBeep);    // 1 uptick
      //if (Bid == (OldPrice + (2*Point)) ) PlaySound(TwoUpTickBeep);    // 2 uptick
      //if (Bid >  (OldPrice + (2*Point)) ) PlaySound(ThreeUpTickBeep);     // 3 uptick +++ and more
       
      //if (Bid == (OldPrice - (1*Point)) ) PlaySound(OneDownTickBeep);  // 1 downtick
      //if (Bid == (OldPrice - (2*Point)) ) PlaySound(TwoDownTickBeep);  // 2 downtick
      //if (Bid <  (OldPrice - (2*Point)) ) PlaySound(ThreeDownTickBeep);  // 3 downtick --- and more
      
      
      if (Bid > OldPrice) PlaySound(OneUpTickBeep);
      if (Bid < OldPrice) PlaySound(OneDownTickBeep);
   }
  	
   ObjectDelete("time"); 
   ObjectCreate("time", OBJ_TEXT, 0, Time[0], Bid);
   ObjectSetText("time", "                " + PriceStr, FontSize, "Ariel", FontColor);

   OldPrice=Bid;
   return(0);
  }
//+------------------------------------------------------------------+